Skip to Content

Reports

4 endpoints

POST /api/v5/artifacts/reports/export

Export Reports

Export all reports data as a clean, denormalized ZIP.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ upload_id: `string` file_name: `string` row_count: `integer` }

POST /api/v5/artifacts/reports/search

Get Reports

Get reports artifact data via composable context resolver.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ start_date?: `string` | `null` end_date?: `string` | `null` cohort_ids?: `string`[] | `null` simulation_ids?: `string`[] | `null` department_ids?: `string`[] | `null` roles?: `string`[] | `null` simulation_filters?: `string`[] | `null` actor_profile_id?: `string` | `null` target_profile_id?: `string` | `null` profile_ids?: `string`[] | `null` scenario_ids?: `string`[] | `null` search?: `string` | `null` sort_by?: `string` sort_order?: `string` page_limit?: `integer` page_offset?: `integer` }

Response:

{ sections?: `ReportsSections` views?: `ReportsViews` resources?: `ReportsResources` total_count?: `integer` simulation_options?: `FilterOption`[] profile_options?: `FilterOption`[] scenario_options?: `FilterOption`[] analytics?: `AnalyticsFacets` | `null` }

POST /api/v5/artifacts/reports/refresh

Reports Refresh

Refresh reports caches.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ success: `boolean` refreshed_views: `string`[] invalidated_tags: `string`[] }

POST /api/v5/artifacts/reports/docs

Get Reports Docs Endpoint

Get composed documentation for the reports analytics.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ entity_id?: `string` | `null` }

Response:

{ name: `string` type: `string` description: `string` artifact?: `DocsResponse` | `null` entries: `DocsResponse`[] resources: `DocsResponse`[] permissions: `OperationInfo`[] api_operations: `OperationInfo`[] page_metadata?: `DocsApiResponse` | `null` }

Last updated on